stages:
  - test
  - deploy

Test:
  image: python:3.6
  stage: test
  before_script:
    - apt-get update -qy
    - apt-get install -y python3-dev python3-pip
    - wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -
    - echo "deb http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google.list
    - pip3 install -r requirements.txt
    - python manage.py makemigrations
    - python manage.py migrate
    - python manage.py collectstatic --no-input
    - apt-get install -y xvfb
    - apt-get install -y chromium
    - wget https://chromedriver.storage.googleapis.com/78.0.3904.70/chromedriver_linux64.zip
    - unzip chromedriver_linux64.zip
    - mv chromedriver /usr/bin/chromedriver
  when: on_success
  script:
    - coverage run --include='story8_app/*' manage.py test
    - coverage report -m
 
Deployment:
  image: ruby:2.4
  stage: deploy
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=story8 --api-key=$HEROKU_API_KEY
  only:
    - master
